diff --git a/doc/src/sgml/release-9.6.sgml b/doc/src/sgml/release-9.6.sgml
index acebcc6249..710f142360 100644
--- a/doc/src/sgml/release-9.6.sgml
+++ b/doc/src/sgml/release-9.6.sgml
@@ -1,7 +1,9 @@
 <!-- doc/src/sgml/release-9.6.sgml -->
 <!-- See header comment in release.sgml about typical markup -->
 
- <sect1 id="release-9-6-11">
+<section>
+ <title>Release 9.6</title>
+ <section id="release-9-6-11">
   <title>Release 9.6.11</title>
 
   <formalpara>
@@ -15,7 +17,7 @@
    <xref linkend="release-9-6"/>.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 9.6.11</title>
 
    <para>
@@ -26,9 +28,9 @@
     However, if you are upgrading from a version earlier than 9.6.9,
     see <xref linkend="release-9-6-9"/>.
    </para>
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -680,10 +682,10 @@
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-9-6-10">
+ <section id="release-9-6-10">
   <title>Release 9.6.10</title>
 
   <formalpara>
@@ -697,7 +699,7 @@
    <xref linkend="release-9-6"/>.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 9.6.10</title>
 
    <para>
@@ -708,9 +710,9 @@
     However, if you are upgrading from a version earlier than 9.6.9,
     see <xref linkend="release-9-6-9"/>.
    </para>
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -1126,10 +1128,10 @@
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-9-6-9">
+ <section id="release-9-6-9">
   <title>Release 9.6.9</title>
 
   <formalpara>
@@ -1143,7 +1145,7 @@
    <xref linkend="release-9-6"/>.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 9.6.9</title>
 
    <para>
@@ -1165,9 +1167,9 @@
     Also, if you are upgrading from a version earlier than 9.6.8,
     see <xref linkend="release-9-6-8"/>.
    </para>
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -1691,10 +1693,10 @@
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-9-6-8">
+ <section id="release-9-6-8">
   <title>Release 9.6.8</title>
 
   <formalpara>
@@ -1708,7 +1710,7 @@
    <xref linkend="release-9-6"/>.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 9.6.8</title>
 
    <para>
@@ -1735,9 +1737,9 @@
     Also, if you are upgrading from a version earlier than 9.6.7,
     see <xref linkend="release-9-6-7"/>.
    </para>
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -1884,10 +1886,10 @@
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-9-6-7">
+ <section id="release-9-6-7">
   <title>Release 9.6.7</title>
 
   <formalpara>
@@ -1901,7 +1903,7 @@
    <xref linkend="release-9-6"/>.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 9.6.7</title>
 
    <para>
@@ -1918,9 +1920,9 @@
     Also, if you are upgrading from a version earlier than 9.6.6,
     see <xref linkend="release-9-6-6"/>.
    </para>
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -2363,10 +2365,10 @@
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-9-6-6">
+ <section id="release-9-6-6">
   <title>Release 9.6.6</title>
 
   <formalpara>
@@ -2380,7 +2382,7 @@
    <xref linkend="release-9-6"/>.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 9.6.6</title>
 
    <para>
@@ -2395,9 +2397,9 @@
     Also, if you are upgrading from a version earlier than 9.6.4,
     see <xref linkend="release-9-6-4"/>.
    </para>
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -2942,10 +2944,10 @@ Branch: REL9_2_STABLE [1317d1301] 2017-10-23 17:54:09 -0400
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-9-6-5">
+ <section id="release-9-6-5">
   <title>Release 9.6.5</title>
 
   <formalpara>
@@ -2959,7 +2961,7 @@ Branch: REL9_2_STABLE [1317d1301] 2017-10-23 17:54:09 -0400
    <xref linkend="release-9-6"/>.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 9.6.5</title>
 
    <para>
@@ -2970,9 +2972,9 @@ Branch: REL9_2_STABLE [1317d1301] 2017-10-23 17:54:09 -0400
     However, if you are upgrading from a version earlier than 9.6.4,
     see <xref linkend="release-9-6-4"/>.
    </para>
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -3221,10 +3223,10 @@ Branch: REL9_5_STABLE [a784d5f21] 2017-08-09 12:06:14 -0400
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-9-6-4">
+ <section id="release-9-6-4">
   <title>Release 9.6.4</title>
 
   <formalpara>
@@ -3238,7 +3240,7 @@ Branch: REL9_5_STABLE [a784d5f21] 2017-08-09 12:06:14 -0400
    <xref linkend="release-9-6"/>.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 9.6.4</title>
 
    <para>
@@ -3254,9 +3256,9 @@ Branch: REL9_5_STABLE [a784d5f21] 2017-08-09 12:06:14 -0400
     Also, if you are upgrading from a version earlier than 9.6.3,
     see <xref linkend="release-9-6-3"/>.
    </para>
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -4502,10 +4504,10 @@ Branch: REL9_4_STABLE [9c3f502b4] 2017-07-16 11:27:15 -0400
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-9-6-3">
+ <section id="release-9-6-3">
   <title>Release 9.6.3</title>
 
   <formalpara>
@@ -4519,7 +4521,7 @@ Branch: REL9_4_STABLE [9c3f502b4] 2017-07-16 11:27:15 -0400
    <xref linkend="release-9-6"/>.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 9.6.3</title>
 
    <para>
@@ -4540,9 +4542,9 @@ Branch: REL9_4_STABLE [9c3f502b4] 2017-07-16 11:27:15 -0400
     Also, if you are upgrading from a version earlier than 9.6.2,
     see <xref linkend="release-9-6-2"/>.
    </para>
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -5554,10 +5556,10 @@ Branch: REL9_2_STABLE [82e7d3dfd] 2017-05-07 11:57:41 -0400
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-9-6-2">
+ <section id="release-9-6-2">
   <title>Release 9.6.2</title>
 
   <formalpara>
@@ -5571,7 +5573,7 @@ Branch: REL9_2_STABLE [82e7d3dfd] 2017-05-07 11:57:41 -0400
    <xref linkend="release-9-6"/>.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 9.6.2</title>
 
    <para>
@@ -5588,9 +5590,9 @@ Branch: REL9_2_STABLE [82e7d3dfd] 2017-05-07 11:57:41 -0400
     Also, if you are upgrading from a version earlier than 9.6.1,
     see <xref linkend="release-9-6-1"/>.
    </para>
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -6971,10 +6973,10 @@ Branch: REL9_2_STABLE [ef878cc2c] 2017-01-30 11:41:09 -0500
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-9-6-1">
+ <section id="release-9-6-1">
   <title>Release 9.6.1</title>
 
   <formalpara>
@@ -6988,7 +6990,7 @@ Branch: REL9_2_STABLE [ef878cc2c] 2017-01-30 11:41:09 -0500
    <xref linkend="release-9-6"/>.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 9.6.1</title>
 
    <para>
@@ -7001,9 +7003,9 @@ Branch: REL9_2_STABLE [ef878cc2c] 2017-01-30 11:41:09 -0500
     to take action to repair corrupted free space maps and/or visibility
     maps.
    </para>
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -7566,10 +7568,10 @@ Branch: REL9_1_STABLE [22cf97635] 2016-10-19 17:57:06 -0400
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-9-6">
+ <section id="release-9-6">
   <title>Release 9.6</title>
 
   <formalpara>
@@ -7577,7 +7579,7 @@ Branch: REL9_1_STABLE [22cf97635] 2016-10-19 17:57:06 -0400
    <para>2016-09-29</para>
   </formalpara>
 
-  <sect2>
+  <section>
    <title>Overview</title>
 
    <para>
@@ -7633,9 +7635,9 @@ Branch: REL9_1_STABLE [22cf97635] 2016-10-19 17:57:06 -0400
     The above items are explained in more detail in the sections below.
    </para>
 
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
 
   <title>Migration to Version 9.6</title>
 
@@ -7892,9 +7894,9 @@ and many others in the same vein
 
    </itemizedlist>
 
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <para>
@@ -7903,10 +7905,10 @@ and many others in the same vein
     release.
    </para>
 
-   <sect3>
+   <section>
     <title>Server</title>
 
-    <sect4>
+    <section>
      <title>Parallel Queries</title>
 
      <itemizedlist>
@@ -7980,9 +7982,9 @@ and many others in the same vein
 
      </itemizedlist>
 
-    </sect4>
+    </section>
 
-    <sect4>
+    <section>
      <title>Indexes</title>
 
      <itemizedlist>
@@ -8061,9 +8063,9 @@ and many others in the same vein
 
      </itemizedlist>
 
-    </sect4>
+    </section>
 
-    <sect4>
+    <section>
      <title>Sorting</title>
 
      <itemizedlist>
@@ -8134,9 +8136,9 @@ and many others in the same vein
 
      </itemizedlist>
 
-    </sect4>
+    </section>
 
-    <sect4>
+    <section>
      <title>Locking</title>
 
      <itemizedlist>
@@ -8210,9 +8212,9 @@ and many others in the same vein
 
      </itemizedlist>
 
-    </sect4>
+    </section>
 
-    <sect4>
+    <section>
      <title>Optimizer Statistics</title>
 
      <itemizedlist>
@@ -8272,9 +8274,9 @@ and many others in the same vein
 
      </itemizedlist>
 
-    </sect4>
+    </section>
 
-    <sect4>
+    <section>
      <title><command>VACUUM</command></title>
 
      <itemizedlist>
@@ -8329,9 +8331,9 @@ and many others in the same vein
 
      </itemizedlist>
 
-    </sect4>
+    </section>
 
-    <sect4>
+    <section>
      <title>General Performance</title>
 
      <itemizedlist>
@@ -8627,9 +8629,9 @@ and many others in the same vein
 
      </itemizedlist>
 
-    </sect4>
+    </section>
 
-    <sect4>
+    <section>
      <title>Monitoring</title>
 
      <itemizedlist>
@@ -8767,9 +8769,9 @@ and many others in the same vein
 
      </itemizedlist>
 
-    </sect4>
+    </section>
 
-    <sect4>
+    <section>
      <title><acronym>Authentication</acronym></title>
 
      <itemizedlist>
@@ -8844,9 +8846,9 @@ and many others in the same vein
 
      </itemizedlist>
 
-    </sect4>
+    </section>
 
-    <sect4>
+    <section>
      <title>Server Configuration</title>
 
      <itemizedlist>
@@ -8972,9 +8974,9 @@ and many others in the same vein
 
      </itemizedlist>
 
-    </sect4>
+    </section>
 
-    <sect4>
+    <section>
      <title>Reliability</title>
 
      <itemizedlist>
@@ -9058,11 +9060,11 @@ XXX this is pending backpatch, may need to remove
 
      </itemizedlist>
 
-    </sect4>
+    </section>
 
-   </sect3>
+   </section>
 
-   <sect3>
+   <section>
     <title>Replication and Recovery</title>
 
      <itemizedlist>
@@ -9157,9 +9159,9 @@ XXX this is pending backpatch, may need to remove
 
      </itemizedlist>
 
-   </sect3>
+   </section>
 
-   <sect3>
+   <section>
     <title>Queries</title>
 
      <itemizedlist>
@@ -9285,9 +9287,9 @@ XXX this is pending backpatch, may need to remove
 
      </itemizedlist>
 
-   </sect3>
+   </section>
 
-   <sect3>
+   <section>
     <title>Utility Commands</title>
 
      <itemizedlist>
@@ -9473,9 +9475,9 @@ XXX this is pending backpatch, may need to remove
 
      </itemizedlist>
 
-   </sect3>
+   </section>
 
-   <sect3>
+   <section>
     <title>Permissions Management</title>
 
     <itemizedlist>
@@ -9520,9 +9522,9 @@ XXX this is pending backpatch, may need to remove
 
     </itemizedlist>
 
-   </sect3>
+   </section>
 
-   <sect3>
+   <section>
     <title>Data Types</title>
 
     <itemizedlist>
@@ -9673,9 +9675,9 @@ XXX this is pending backpatch, may need to remove
 
     </itemizedlist>
 
-   </sect3>
+   </section>
 
-   <sect3>
+   <section>
     <title>Functions</title>
 
      <itemizedlist>
@@ -9961,9 +9963,9 @@ XXX this is pending backpatch, may need to remove
 
      </itemizedlist>
 
-   </sect3>
+   </section>
 
-   <sect3>
+   <section>
     <title>Server-Side Languages</title>
 
     <itemizedlist>
@@ -10068,9 +10070,9 @@ XXX this is pending backpatch, may need to remove
 
     </itemizedlist>
 
-   </sect3>
+   </section>
 
-   <sect3>
+   <section>
     <title>Client Interfaces</title>
 
     <itemizedlist>
@@ -10159,9 +10161,9 @@ This commit is also listed under psql and PL/pgSQL
 
     </itemizedlist>
 
-   </sect3>
+   </section>
 
-   <sect3>
+   <section>
     <title>Client Applications</title>
 
     <itemizedlist>
@@ -10235,7 +10237,7 @@ This commit is also listed under psql and PL/pgSQL
 
     </itemizedlist>
 
-     <sect4>
+     <section>
       <title><xref linkend="app-psql"/></title>
 
       <itemizedlist>
@@ -10435,9 +10437,9 @@ This commit is also listed under libpq and PL/pgSQL
 
       </itemizedlist>
 
-    </sect4>
+    </section>
 
-    <sect4>
+    <section>
      <title><xref linkend="pgbench"/></title>
 
      <itemizedlist>
@@ -10583,11 +10585,11 @@ This commit is also listed under libpq and PL/pgSQL
 
      </itemizedlist>
 
-    </sect4>
+    </section>
 
-   </sect3>
+   </section>
 
-   <sect3>
+   <section>
     <title>Server Applications</title>
 
     <itemizedlist>
@@ -10640,9 +10642,9 @@ This commit is also listed under libpq and PL/pgSQL
 
     </itemizedlist>
 
-   </sect3>
+   </section>
 
-   <sect3>
+   <section>
     <title>Source Code</title>
 
      <itemizedlist>
@@ -11035,9 +11037,9 @@ This commit is also listed under libpq and PL/pgSQL
 
      </itemizedlist>
 
-   </sect3>
+   </section>
 
-   <sect3>
+   <section>
     <title>Additional Modules</title>
 
     <itemizedlist>
@@ -11228,7 +11230,7 @@ This commit is also listed under libpq and PL/pgSQL
 
     </itemizedlist>
 
-    <sect4>
+    <section>
      <title><link linkend="postgres-fdw"><filename>postgres_fdw</filename></link></title>
 
      <itemizedlist>
@@ -11332,10 +11334,11 @@ This commit is also listed under libpq and PL/pgSQL
 
      </itemizedlist>
 
-    </sect4>
+    </section>
 
-   </sect3>
+   </section>
 
-  </sect2>
+  </section>
 
- </sect1>
+ </section>
+</section>
